%define zopeproductsdir  %{_libdir}/zope/lib/python/Products
%define zopeuser zope
%define productname CMFPlone
%define productver  2.0.2

Name:               zope-%{productname}
Summary:            A Zope product: Plone
Version:            %{productver} 
Release:            1ogger00
Group:              Applications/Internet 
Requires:           zope >= 2.7.0
AutoReqProv:        no
License:            GPL
URL:                http://www.plone.org
Source:             Plone-%{productver}.tar.gz
Vendor:             OGGER
Distribution:       Zope
Packager:           Ogger <ogger@ya.com>
BuildRoot:          %{_tmppath}/%{name}-%{version}-root
Buildarch: 	    noarch

#----------------------------------------------------------------------
%description
Plone is a user friendly implementation of the Content Management Framework
written on top of ZOPE.  Plone is a GUI/Interface/Implementation of the
CMF.  It benefits from all features of ZOPE/CMF such as: RDBMS integration,
Python/Perl extensions, Object Oriented Database, Web configurable workflow,
pluggable membership and authentication, Undos, Form validation, amongst
many many other features.  Available protocols: FTP, XMLRPC, HTTP, WEBDAV
and you can hack it to enable SOAP.  Turn it into a distributed application
system by installing ZEO.

Plone attempts to compete with Livelink, Interwoven and Documentum.  It
aims to be *the* opensource out-of-the-box publishing system.

#----------------------------------------------------------------------
%prep
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT

%setup -n Plone-%{productver}

#----------------------------------------------------------------------
%build

#----------------------------------------------------------------------
%install

for product in `find -type d -maxdepth 1 -mindepth 1`
do
    %{__mkdir_p}  $RPM_BUILD_ROOT%{zopeproductsdir}/$product
    %{__cp} -pr $product/* $RPM_BUILD_ROOT%{zopeproductsdir}/$product
done

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT

#----------------------------------------------------------------------
%files
%defattr(-,root,root,0755)
%doc CMFPlone/CREDITS.txt CMFPlone/HISTORY.txt CMFPlone/INSTALL.txt
%doc CMFPlone/LICENSE.GPL CMFPlone/LICENSE.ZPL CMFPlone/LICENSE.txt
%doc CMFPlone/README.txt CMFPlone/UPGRADE.txt CMFPlone/version.txt
%doc CONTENTS.txt

%attr(-, %{zopeuser}, %{zopeuser}) %dir %{zopeproductsdir}/Archetypes
%attr(-, %{zopeuser}, %{zopeuser}) %{zopeproductsdir}/Archetypes/*
%attr(-, %{zopeuser}, %{zopeuser}) %dir %{zopeproductsdir}/BTreeFolder2
%attr(-, %{zopeuser}, %{zopeuser}) %{zopeproductsdir}/BTreeFolder2/*
%attr(-, %{zopeuser}, %{zopeuser}) %dir %{zopeproductsdir}/CMFActionIcons
%attr(-, %{zopeuser}, %{zopeuser}) %{zopeproductsdir}/CMFActionIcons/*
%attr(-, %{zopeuser}, %{zopeuser}) %dir %{zopeproductsdir}/CMFCalendar
%attr(-, %{zopeuser}, %{zopeuser}) %{zopeproductsdir}/CMFCalendar/*
%attr(-, %{zopeuser}, %{zopeuser}) %dir %{zopeproductsdir}/CMFCore
%attr(-, %{zopeuser}, %{zopeuser}) %{zopeproductsdir}/CMFCore/*
%attr(-, %{zopeuser}, %{zopeuser}) %dir %{zopeproductsdir}/CMFDefault
%attr(-, %{zopeuser}, %{zopeuser}) %{zopeproductsdir}/CMFDefault/*
%attr(-, %{zopeuser}, %{zopeuser}) %dir %{zopeproductsdir}/CMFFormController
%attr(-, %{zopeuser}, %{zopeuser}) %{zopeproductsdir}/CMFFormController/*
%attr(-, %{zopeuser}, %{zopeuser}) %dir %{zopeproductsdir}/CMFPlone
%attr(-, %{zopeuser}, %{zopeuser}) %{zopeproductsdir}/CMFPlone/*
%attr(-, %{zopeuser}, %{zopeuser}) %dir %{zopeproductsdir}/CMFQuickInstallerTool
%attr(-, %{zopeuser}, %{zopeuser}) %{zopeproductsdir}/CMFQuickInstallerTool/*
%attr(-, %{zopeuser}, %{zopeuser}) %dir %{zopeproductsdir}/CMFTopic
%attr(-, %{zopeuser}, %{zopeuser}) %{zopeproductsdir}/CMFTopic/*
%attr(-, %{zopeuser}, %{zopeuser}) %dir %{zopeproductsdir}/DCWorkflow
%attr(-, %{zopeuser}, %{zopeuser}) %{zopeproductsdir}/DCWorkflow/*
%attr(-, %{zopeuser}, %{zopeuser}) %dir %{zopeproductsdir}/Epoz
%attr(-, %{zopeuser}, %{zopeuser}) %{zopeproductsdir}/Epoz/*
%attr(-, %{zopeuser}, %{zopeuser}) %dir %{zopeproductsdir}/ExternalEditor
%attr(-, %{zopeuser}, %{zopeuser}) %{zopeproductsdir}/ExternalEditor/*
%attr(-, %{zopeuser}, %{zopeuser}) %dir %{zopeproductsdir}/Formulator
%attr(-, %{zopeuser}, %{zopeuser}) %{zopeproductsdir}/Formulator/*
%attr(-, %{zopeuser}, %{zopeuser}) %dir %{zopeproductsdir}/GroupUserFolder
%attr(-, %{zopeuser}, %{zopeuser}) %{zopeproductsdir}/GroupUserFolder/*
%attr(-, %{zopeuser}, %{zopeuser}) %dir %{zopeproductsdir}/PlacelessTranslationService
%attr(-, %{zopeuser}, %{zopeuser}) %{zopeproductsdir}/PlacelessTranslationService/*
%attr(-, %{zopeuser}, %{zopeuser}) %dir %{zopeproductsdir}/PloneErrorReporting
%attr(-, %{zopeuser}, %{zopeuser}) %{zopeproductsdir}/PloneErrorReporting/*
%attr(-, %{zopeuser}, %{zopeuser}) %dir %{zopeproductsdir}/PortalTransforms
%attr(-, %{zopeuser}, %{zopeuser}) %{zopeproductsdir}/PortalTransforms/*
%attr(-, %{zopeuser}, %{zopeuser}) %dir %{zopeproductsdir}/generator
%attr(-, %{zopeuser}, %{zopeuser}) %{zopeproductsdir}/generator/*
%attr(-, %{zopeuser}, %{zopeuser}) %dir %{zopeproductsdir}/validation
%attr(-, %{zopeuser}, %{zopeuser}) %{zopeproductsdir}/validation/*


%postun
if [ $1 = 0 ]; then
    for product in `ls `
    do
	%{__rm} -rf %{zopeproductsdir}/$product
    done
fi

#----------------------------------------------------------------------
%changelog
* Fri May 14 2004 Ogger <ogger@ya.com> 2.0.2-1ogger00
- Upgrade to Plone 2.0.2

* Mon Mar 25 2004 Ogger <ogger@ya.com> 2.0-1ogger00
- Initial release
